net.corda.flows

## Class Service.TransactionParts

- net.corda.flows.NotaryFlow.Service.TransactionParts

- Enclosing class:
    NotaryFlow.Service

      public static class Service.TransactionParts

  The minimum amount of information needed to notarise a transaction. Note that this does not include any sensitive transaction details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionParts(SecureHash id, java.util.List<net.corda.core.contracts.StateRef> inputs, Timestamp timestamp)` The minimum amount of information needed to notarise a transaction. Note that this does not include any sensitive transaction details.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `component1()`
    `java.util.List<net.corda.core.contracts.StateRef>` | `component2()`
    `Timestamp` | `component3()`
    `Service.TransactionParts` | `copy(SecureHash id, java.util.List<net.corda.core.contracts.StateRef> inputs, Timestamp timestamp)` The minimum amount of information needed to notarise a transaction. Note that this does not include any sensitive transaction details.
    `boolean` | `equals(java.lang.Object p)`
    `SecureHash` | `getId()`
    `java.util.List<net.corda.core.contracts.StateRef>` | `getInputs()`
    `Timestamp` | `getTimestamp()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### TransactionParts

          public TransactionParts(SecureHash id,
                                  java.util.List<net.corda.core.contracts.StateRef> inputs,
                                  Timestamp timestamp)

      The minimum amount of information needed to notarise a transaction. Note that this does not include any sensitive transaction details.

  - ### Method Detail

    - #### getId

          public SecureHash getId()

    - #### getInputs

          public java.util.List<net.corda.core.contracts.StateRef> getInputs()

    - #### getTimestamp

          public Timestamp getTimestamp()

    - #### component1

          public SecureHash component1()

    - #### component2

          public java.util.List<net.corda.core.contracts.StateRef> component2()

    - #### component3

          public Timestamp component3()

    - #### copy

          public Service.TransactionParts copy(SecureHash id,
                                               java.util.List<net.corda.core.contracts.StateRef> inputs,
                                               Timestamp timestamp)

      The minimum amount of information needed to notarise a transaction. Note that this does not include any sensitive transaction details.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)